cURL
curl --request POST \
--url https://www.oration.ai/api/v2/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--header 'x-workspace-slug: <x-workspace-slug>' \
--data '
{
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"statusId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"attributeValues": [
{
"ticketAttributeId": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://www.oration.ai/api/v2/tickets"
payload = {
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"statusId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": True,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"attributeValues": [
{
"ticketAttributeId": "<string>",
"value": "<string>"
}
]
}
headers = {
"x-api-key": "<x-api-key>",
"x-workspace-slug": "<x-workspace-slug>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<x-api-key>',
'x-workspace-slug': '<x-workspace-slug>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticketTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
description: '<string>',
summary: '<string>',
statusId: '<string>',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdByUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assigneeUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assignedTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mergedIntoTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
splitFromTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
flowId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
firstResponseAt: '<string>',
resolvedAt: '<string>',
closedAt: '<string>',
snoozedUntil: '<string>',
lastCustomerActivityAt: '<string>',
lastAgentActivityAt: '<string>',
isShared: true,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '<string>',
updatedAt: '<string>',
attributeValues: [{ticketAttributeId: '<string>', value: '<string>'}]
})
};
fetch('https://www.oration.ai/api/v2/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.oration.ai/api/v2/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticketTypeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'title' => '<string>',
'description' => '<string>',
'summary' => '<string>',
'statusId' => '<string>',
'customerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdByUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assigneeUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assignedTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'ownerUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'ownerTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'conversationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parentTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'mergedIntoTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'splitFromTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'flowId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'agentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'firstResponseAt' => '<string>',
'resolvedAt' => '<string>',
'closedAt' => '<string>',
'snoozedUntil' => '<string>',
'lastCustomerActivityAt' => '<string>',
'lastAgentActivityAt' => '<string>',
'isShared' => true,
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdAt' => '<string>',
'updatedAt' => '<string>',
'attributeValues' => [
[
'ticketAttributeId' => '<string>',
'value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <x-api-key>",
"x-workspace-id: <x-workspace-id>",
"x-workspace-slug: <x-workspace-slug>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.oration.ai/api/v2/tickets"
payload := strings.NewReader("{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"<string>\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\",\n \"attributeValues\": [\n {\n \"ticketAttributeId\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("x-workspace-slug", "<x-workspace-slug>")
req.Header.Add("x-workspace-id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.oration.ai/api/v2/tickets")
.header("x-api-key", "<x-api-key>")
.header("x-workspace-slug", "<x-workspace-slug>")
.header("x-workspace-id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"<string>\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\",\n \"attributeValues\": [\n {\n \"ticketAttributeId\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.oration.ai/api/v2/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["x-workspace-slug"] = '<x-workspace-slug>'
request["x-workspace-id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"<string>\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\",\n \"attributeValues\": [\n {\n \"ticketAttributeId\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticketNumber": -1,
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"source": "email",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "urgent",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Tickets
Create ticket
Create a support ticket in your workspace with a type, title, and optional fields.
POST
/
tickets
cURL
curl --request POST \
--url https://www.oration.ai/api/v2/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--header 'x-workspace-slug: <x-workspace-slug>' \
--data '
{
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"statusId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"attributeValues": [
{
"ticketAttributeId": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://www.oration.ai/api/v2/tickets"
payload = {
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"statusId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": True,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"attributeValues": [
{
"ticketAttributeId": "<string>",
"value": "<string>"
}
]
}
headers = {
"x-api-key": "<x-api-key>",
"x-workspace-slug": "<x-workspace-slug>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<x-api-key>',
'x-workspace-slug': '<x-workspace-slug>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticketTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
description: '<string>',
summary: '<string>',
statusId: '<string>',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdByUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assigneeUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assignedTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mergedIntoTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
splitFromTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
flowId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
firstResponseAt: '<string>',
resolvedAt: '<string>',
closedAt: '<string>',
snoozedUntil: '<string>',
lastCustomerActivityAt: '<string>',
lastAgentActivityAt: '<string>',
isShared: true,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '<string>',
updatedAt: '<string>',
attributeValues: [{ticketAttributeId: '<string>', value: '<string>'}]
})
};
fetch('https://www.oration.ai/api/v2/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.oration.ai/api/v2/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticketTypeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'title' => '<string>',
'description' => '<string>',
'summary' => '<string>',
'statusId' => '<string>',
'customerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdByUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assigneeUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assignedTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'ownerUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'ownerTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'conversationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parentTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'mergedIntoTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'splitFromTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'flowId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'agentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'firstResponseAt' => '<string>',
'resolvedAt' => '<string>',
'closedAt' => '<string>',
'snoozedUntil' => '<string>',
'lastCustomerActivityAt' => '<string>',
'lastAgentActivityAt' => '<string>',
'isShared' => true,
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdAt' => '<string>',
'updatedAt' => '<string>',
'attributeValues' => [
[
'ticketAttributeId' => '<string>',
'value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <x-api-key>",
"x-workspace-id: <x-workspace-id>",
"x-workspace-slug: <x-workspace-slug>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.oration.ai/api/v2/tickets"
payload := strings.NewReader("{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"<string>\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\",\n \"attributeValues\": [\n {\n \"ticketAttributeId\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("x-workspace-slug", "<x-workspace-slug>")
req.Header.Add("x-workspace-id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.oration.ai/api/v2/tickets")
.header("x-api-key", "<x-api-key>")
.header("x-workspace-slug", "<x-workspace-slug>")
.header("x-workspace-id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"<string>\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\",\n \"attributeValues\": [\n {\n \"ticketAttributeId\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.oration.ai/api/v2/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["x-workspace-slug"] = '<x-workspace-slug>'
request["x-workspace-id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"<string>\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true,\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\",\n \"attributeValues\": [\n {\n \"ticketAttributeId\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticketNumber": -1,
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"source": "email",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "urgent",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Create a ticket in your workspace. You choose the ticket type up front — that determines which statuses and custom attributes apply.
createdByUserId is set automatically from the user who owns the API key.Request body
string
required
UUID of the ticket type. Find IDs in the Oration dashboard under Settings → Ticket types (see Ticket types), or use
ticketType.id from Get ticket on an existing ticket of that type.string
required
Short headline for the ticket.
string
Customer-visible body text.
string
default:"medium"
One of
urgent, high, medium, or low.string
UUID of the customer this ticket is about.
string
Initial assignee. To change later, use Assign ticket.
string
Initial assigned team.
string
Initial status. Must be attached to the ticket type. Defaults to the type’s default status.
string
Link an existing conversation to this ticket.
string
default:"manual"
Channel the ticket came from. Use
api for integration-created tickets so you can filter them in search.array
Custom field values at create time. Each item:
{ "ticketAttributeId": "...", "value": ... }.After create, subscribe to
ticket.created webhooks or call Get ticket to load nested type, status, and attributes.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Minimum string length:
1Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
email, chat_widget, voice, whatsapp, sms, customer_portal, form, manual, api, slack, microsoft_teams, instagram, discord, telegram Available options:
urgent, high, medium, low Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Show child attributes
Show child attributes
Response
Successful response
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
-2147483648 <= x <= 2147483647Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
email, chat_widget, voice, whatsapp, sms, customer_portal, form, manual, api, slack, microsoft_teams, instagram, discord, telegram Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
urgent, high, medium, low Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I